> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Assets

> Archive (soft-delete) multiple assets of the specified type (max 100)



## OpenAPI

````yaml /api/openapi.yaml delete /v1/assets/{assetTypeName}
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/assets/{assetTypeName}:
    delete:
      tags:
        - Assets
      summary: Bulk Delete Assets
      description: Archive (soft-delete) multiple assets of the specified type (max 100)
      parameters:
        - schema:
            type: string
          in: path
          name: assetTypeName
          required: true
          description: Asset type name
      requestBody:
        $ref: '#/components/requestBodies/delete_v1_assets__assetTypeName__request'
      responses:
        '204':
          $ref: '#/components/responses/DeleteAllowedIPResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  requestBodies:
    delete_v1_assets__assetTypeName__request:
      required: true
      content:
        application/json:
          schema:
            $ref: >-
              #/components/schemas/delete_v1_assets__assetTypeName__request_application_json
  responses:
    DeleteAllowedIPResponse:
      description: Allowed IP deleted successfully
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    delete_v1_assets__assetTypeName__request_application_json:
      type: array
      items:
        type: string
        format: uuid
      minItems: 1
      maxItems: 100
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````